Skip to main content
GET
/
api
/
v1
/
pipeline_templates
List Templates
import requests

url = "https://www.datalab.to/api/v1/pipeline_templates"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
{
  "templates": [
    {
      "pipeline_id": "<string>",
      "slug": "<string>",
      "name": "<string>",
      "template_description": "<string>",
      "template_category": "<string>",
      "example_files": [
        {
          "filename": "<string>",
          "file_size": 123,
          "content_type": "application/pdf"
        }
      ]
    }
  ]
}

Authorizations

X-API-Key
string
header
required

Query Parameters

category
string | null

Cookies

wos-session
string
access_token
string
datalab_active_team
string

Response

Successful Response

Response for listing templates.

templates
TemplateListItem · object[]